-- USER SQL
CREATE USER SMSGATE_SINGTEL IDENTIFIED BY smsgate_singtel1
DEFAULT TABLESPACE "OTHERS"
TEMPORARY TABLESPACE "TEMP";

-- QUOTAS

-- ROLES
GRANT "CONNECT" TO "SMSGATE_SINGTEL" ;
GRANT "RESOURCE" TO "SMSGATE_SINGTEL" ;
ALTER USER "SMSGATE_SINGTEL" DEFAULT ROLE "CONNECT","RESOURCE";

-- SYSTEM PRIVILEGES
GRANT CREATE ROLE TO "SMSGATE_SINGTEL" ;
GRANT CREATE LIBRARY TO "SMSGATE_SINGTEL" ;
GRANT CREATE TRIGGER TO "SMSGATE_SINGTEL" ;
GRANT DEBUG CONNECT SESSION TO "SMSGATE_SINGTEL" ;
GRANT ALTER SESSION TO "SMSGATE_SINGTEL" ;
GRANT CREATE MATERIALIZED VIEW TO "SMSGATE_SINGTEL" ;
GRANT DEBUG ANY PROCEDURE TO "SMSGATE_SINGTEL" ;
GRANT CREATE VIEW TO "SMSGATE_SINGTEL" ;
GRANT CREATE SESSION TO "SMSGATE_SINGTEL" ;
GRANT DROP ANY MATERIALIZED VIEW TO "SMSGATE_SINGTEL" ;
GRANT CREATE TABLE TO "SMSGATE_SINGTEL" ;
GRANT UNDER ANY TYPE TO "SMSGATE_SINGTEL" ;
GRANT CREATE TYPE TO "SMSGATE_SINGTEL" ;
GRANT CREATE TABLESPACE TO "SMSGATE_SINGTEL" ;
GRANT DROP ANY TYPE TO "SMSGATE_SINGTEL" ;
GRANT CREATE PUBLIC SYNONYM TO "SMSGATE_SINGTEL" ;
GRANT CREATE SYNONYM TO "SMSGATE_SINGTEL" ;
GRANT EXECUTE ANY TYPE TO "SMSGATE_SINGTEL" ;
GRANT CREATE SEQUENCE TO "SMSGATE_SINGTEL" ;
GRANT ALTER ANY ROLE TO "SMSGATE_SINGTEL" ;
GRANT DROP ANY VIEW TO "SMSGATE_SINGTEL" ;
GRANT ALTER TABLESPACE TO "SMSGATE_SINGTEL" ;
GRANT CREATE ANY MATERIALIZED VIEW TO "SMSGATE_SINGTEL" ;
GRANT ALTER ANY TYPE TO "SMSGATE_SINGTEL" ;
GRANT UNLIMITED TABLESPACE TO "SMSGATE_SINGTEL" ;
GRANT CREATE ANY TYPE TO "SMSGATE_SINGTEL" ;
GRANT CREATE PROCEDURE TO "SMSGATE_SINGTEL" ;
GRANT GRANT ANY ROLE TO "SMSGATE_SINGTEL" ;

-- OBJECT PRIVILEGES
GRANT SELECT ON "SYS"."COL$" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."OBJ$" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."ICOL$" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."COM$" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."ARGUMENT$" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."V_$PROCESS" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."V_$SESSION" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."V_$LOCK" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."V_$SESSTAT" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."V_$MYSTAT" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."V_$STATNAME" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."V_$PARAMETER" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."V_$INSTANCE" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."V_$SQL" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."V_$DB_PIPES" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."GV_$PX_SESSION" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."DBA_ROLE_PRIVS" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."DBA_TAB_COLUMNS" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."DBA_TAB_PRIVS" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."DBA_CONSTRAINTS" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."DBA_PROFILES" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."DBA_USERS" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."DBA_SYS_PRIVS" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."DBA_JOBS_RUNNING" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."DBA_JOBS" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."DBA_EXTENTS" TO "SMSGATE_SINGTEL";
GRANT SELECT ON "SYS"."DBMS_LOCK_ALLOCATED" TO "SMSGATE_SINGTEL";
GRANT EXECUTE ON "SYS"."DBMS_SQL" TO "SMSGATE_SINGTEL";
GRANT EXECUTE ON "SYS"."DBMS_LOCK" TO "SMSGATE_SINGTEL";
GRANT EXECUTE ON "SYS"."DBMS_PIPE" TO "SMSGATE_SINGTEL";
GRANT EXECUTE ON "SYS"."DBMS_CRYPTO" TO "SMSGATE_SINGTEL";



